Mencantumkan armada dalam grup langganan dan sumber daya yang ditentukan.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/fleets?api-version=2025-03-01
Parameter URI
| Nama |
Dalam |
Diperlukan |
Jenis |
Deskripsi |
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Nama grup sumber daya. Nama ini tidak peka huruf besar/kecil.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
ID langganan target. Nilainya harus UUID.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Versi API yang digunakan untuk operasi ini.
|
Respons
| Nama |
Jenis |
Deskripsi |
|
200 OK
|
FleetListResult
|
Operasi Azure berhasil diselesaikan.
|
|
Other Status Codes
|
ErrorResponse
|
Respons kesalahan tak terduga.
|
Keamanan
azure_auth
Alur OAuth2 Azure Active Directory.
Jenis:
oauth2
Alur:
implicit
URL Otorisasi:
https://login.microsoftonline.com/common/oauth2/authorize
Cakupan
| Nama |
Deskripsi |
|
user_impersonation
|
meniru akun pengguna Anda
|
Contoh
Lists the Fleet resources in a resource group.
Permintaan sampel
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/fleets?api-version=2025-03-01
/**
* Samples for Fleets ListByResourceGroup.
*/
public final class Main {
/*
* x-ms-original-file: 2025-03-01/Fleets_ListByResourceGroup.json
*/
/**
* Sample code: Lists the Fleet resources in a resource group.
*
* @param manager Entry point to ContainerServiceFleetManager.
*/
public static void listsTheFleetResourcesInAResourceGroup(
com.azure.resourcemanager.containerservicefleet.ContainerServiceFleetManager manager) {
manager.fleets().listByResourceGroup("rg1", com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.containerservicefleet import ContainerServiceFleetMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-containerservicefleet
# USAGE
python fleets_list_by_resource_group.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ContainerServiceFleetMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="00000000-0000-0000-0000-000000000000",
)
response = client.fleets.list_by_resource_group(
resource_group_name="rg1",
)
for item in response:
print(item)
# x-ms-original-file: specification/containerservice/resource-manager/Microsoft.ContainerService/fleet/stable/2025-03-01/examples/Fleets_ListByResourceGroup.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armcontainerservicefleet_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/containerservicefleet/armcontainerservicefleet/v2"
)
// Generated from example definition: 2025-03-01/Fleets_ListByResourceGroup.json
func ExampleFleetsClient_NewListByResourceGroupPager_listsTheFleetResourcesInAResourceGroup() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcontainerservicefleet.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewFleetsClient().NewListByResourceGroupPager("rg1", nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armcontainerservicefleet.FleetsClientListByResourceGroupResponse{
// FleetListResult: armcontainerservicefleet.FleetListResult{
// Value: []*armcontainerservicefleet.Fleet{
// {
// ID: to.Ptr("/subscriptions/subid1/resourcegroups/rg1/providers/Microsoft.ContainerService/fleets/fleet-1"),
// Name: to.Ptr("fleet1"),
// Type: to.Ptr("Microsoft.ContainerService/fleets"),
// SystemData: &armcontainerservicefleet.SystemData{
// CreatedBy: to.Ptr("someUser"),
// CreatedByType: to.Ptr(armcontainerservicefleet.CreatedByTypeUser),
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2022-03-23T05:40:40.657Z"); return t}()),
// LastModifiedBy: to.Ptr("someOtherUser"),
// LastModifiedByType: to.Ptr(armcontainerservicefleet.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2022-03-23T05:40:40.657Z"); return t}()),
// },
// Tags: map[string]*string{
// "tier": to.Ptr("production"),
// "archv2": to.Ptr(""),
// },
// Location: to.Ptr("East US"),
// ETag: to.Ptr("23ujdflewrj3="),
// Properties: &armcontainerservicefleet.FleetProperties{
// HubProfile: &armcontainerservicefleet.FleetHubProfile{
// DNSPrefix: to.Ptr("dnsprefix1"),
// Fqdn: to.Ptr("dnsprefix1-abcd1234.flt.eastus.azmk8s.io"),
// PortalFqdn: to.Ptr("dnsprefix1-abcd1234.flt.eastus.azmk8s.io"),
// KubernetesVersion: to.Ptr("1.22.4"),
// AgentProfile: &armcontainerservicefleet.AgentProfile{
// VMSize: to.Ptr("Standard_DS1"),
// },
// },
// ProvisioningState: to.Ptr(armcontainerservicefleet.FleetProvisioningStateSucceeded),
// Status: &armcontainerservicefleet.FleetStatus{
// LastOperationID: to.Ptr("operation-12345"),
// LastOperationError: &armcontainerservicefleet.ErrorDetail{
// Code: to.Ptr("None"),
// Message: to.Ptr("No error"),
// },
// },
// },
// },
// },
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { ContainerServiceFleetClient } = require("@azure/arm-containerservicefleet");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to lists fleets in the specified subscription and resource group.
*
* @summary lists fleets in the specified subscription and resource group.
* x-ms-original-file: 2025-03-01/Fleets_ListByResourceGroup.json
*/
async function listsTheFleetResourcesInAResourceGroup() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new ContainerServiceFleetClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.fleets.listByResourceGroup("rg1")) {
resArray.push(item);
}
console.log(resArray);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.ContainerServiceFleet.Models;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.ContainerServiceFleet;
// Generated from example definition: specification/containerservice/resource-manager/Microsoft.ContainerService/fleet/stable/2025-03-01/examples/Fleets_ListByResourceGroup.json
// this example is just showing the usage of "Fleets_ListByResourceGroup" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this ResourceGroupResource created on azure
// for more information of creating ResourceGroupResource, please refer to the document of ResourceGroupResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "rg1";
ResourceIdentifier resourceGroupResourceId = ResourceGroupResource.CreateResourceIdentifier(subscriptionId, resourceGroupName);
ResourceGroupResource resourceGroupResource = client.GetResourceGroupResource(resourceGroupResourceId);
// get the collection of this ContainerServiceFleetResource
ContainerServiceFleetCollection collection = resourceGroupResource.GetContainerServiceFleets();
// invoke the operation and iterate over the result
await foreach (ContainerServiceFleetResource item in collection.GetAllAsync())
{
// the variable item is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
ContainerServiceFleetData resourceData = item.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Respon sampel
{
"value": [
{
"id": "/subscriptions/subid1/resourcegroups/rg1/providers/Microsoft.ContainerService/fleets/fleet-1",
"name": "fleet1",
"type": "Microsoft.ContainerService/fleets",
"systemData": {
"createdBy": "someUser",
"createdByType": "User",
"createdAt": "2022-03-23T05:40:40.657Z",
"lastModifiedBy": "someOtherUser",
"lastModifiedByType": "User",
"lastModifiedAt": "2022-03-23T05:40:40.657Z"
},
"tags": {
"tier": "production",
"archv2": ""
},
"location": "East US",
"eTag": "23ujdflewrj3=",
"properties": {
"hubProfile": {
"dnsPrefix": "dnsprefix1",
"fqdn": "dnsprefix1-abcd1234.flt.eastus.azmk8s.io",
"portalFqdn": "dnsprefix1-abcd1234.flt.eastus.azmk8s.io",
"kubernetesVersion": "1.22.4",
"agentProfile": {
"vmSize": "Standard_DS1"
}
},
"provisioningState": "Succeeded",
"status": {
"lastOperationId": "operation-12345",
"lastOperationError": {
"code": "None",
"message": "No error"
}
}
}
}
],
"nextLink": null
}
Lists the Fleet resources in a resource group. - generated by [MaximumSet] rule
Permintaan sampel
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.ContainerService/fleets?api-version=2025-03-01
/**
* Samples for Fleets ListByResourceGroup.
*/
public final class Main {
/*
* x-ms-original-file: 2025-03-01/Fleets_ListByResourceGroup_MaximumSet_Gen.json
*/
/**
* Sample code: Lists the Fleet resources in a resource group. - generated by [MaximumSet] rule.
*
* @param manager Entry point to ContainerServiceFleetManager.
*/
public static void listsTheFleetResourcesInAResourceGroupGeneratedByMaximumSetRule(
com.azure.resourcemanager.containerservicefleet.ContainerServiceFleetManager manager) {
manager.fleets().listByResourceGroup("rgfleets", com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.containerservicefleet import ContainerServiceFleetMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-containerservicefleet
# USAGE
python fleets_list_by_resource_group_maximum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ContainerServiceFleetMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="00000000-0000-0000-0000-000000000000",
)
response = client.fleets.list_by_resource_group(
resource_group_name="rgfleets",
)
for item in response:
print(item)
# x-ms-original-file: specification/containerservice/resource-manager/Microsoft.ContainerService/fleet/stable/2025-03-01/examples/Fleets_ListByResourceGroup_MaximumSet_Gen.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armcontainerservicefleet_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/containerservicefleet/armcontainerservicefleet/v2"
)
// Generated from example definition: 2025-03-01/Fleets_ListByResourceGroup_MaximumSet_Gen.json
func ExampleFleetsClient_NewListByResourceGroupPager_listsTheFleetResourcesInAResourceGroupGeneratedByMaximumSetRule() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcontainerservicefleet.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewFleetsClient().NewListByResourceGroupPager("rgfleets", nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armcontainerservicefleet.FleetsClientListByResourceGroupResponse{
// FleetListResult: armcontainerservicefleet.FleetListResult{
// Value: []*armcontainerservicefleet.Fleet{
// {
// ID: to.Ptr("/subscriptions/subid1/resourcegroups/rg1/providers/Microsoft.ContainerService/fleets/fleet1"),
// Name: to.Ptr("fleet-1"),
// Type: to.Ptr("Microsoft.ContainerService/fleets"),
// SystemData: &armcontainerservicefleet.SystemData{
// CreatedBy: to.Ptr("someUser"),
// CreatedByType: to.Ptr(armcontainerservicefleet.CreatedByTypeUser),
// CreatedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2022-03-23T05:40:40.657Z"); return t}()),
// LastModifiedBy: to.Ptr("someOtherUser"),
// LastModifiedByType: to.Ptr(armcontainerservicefleet.CreatedByTypeUser),
// LastModifiedAt: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2022-03-23T05:40:40.657Z"); return t}()),
// },
// Tags: map[string]*string{
// },
// Location: to.Ptr("East US"),
// ETag: to.Ptr("23ujdflewrj3="),
// Properties: &armcontainerservicefleet.FleetProperties{
// HubProfile: &armcontainerservicefleet.FleetHubProfile{
// DNSPrefix: to.Ptr("dnsprefix1"),
// Fqdn: to.Ptr("dnsprefix1-abcd1234.flt.eastus.azmk8s.io"),
// PortalFqdn: to.Ptr("dnsprefix1-abcd1234.flt.eastus.azmk8s.io"),
// KubernetesVersion: to.Ptr("1.22.4"),
// AgentProfile: &armcontainerservicefleet.AgentProfile{
// VMSize: to.Ptr("Standard_DS1"),
// SubnetID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.Network/virtualNetwork/myvnet/subnets/mysubnet1"),
// },
// APIServerAccessProfile: &armcontainerservicefleet.APIServerAccessProfile{
// EnablePrivateCluster: to.Ptr(true),
// EnableVnetIntegration: to.Ptr(true),
// SubnetID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.Network/virtualNetwork/myvnet/subnets/mysubnet1"),
// },
// },
// ProvisioningState: to.Ptr(armcontainerservicefleet.FleetProvisioningStateSucceeded),
// },
// Identity: &armcontainerservicefleet.ManagedServiceIdentity{
// PrincipalID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// TenantID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// Type: to.Ptr(armcontainerservicefleet.ManagedServiceIdentityTypeNone),
// UserAssignedIdentities: map[string]*armcontainerservicefleet.UserAssignedIdentity{
// "key126": &armcontainerservicefleet.UserAssignedIdentity{
// PrincipalID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// ClientID: to.Ptr("00000000-0000-0000-0000-000000000000"),
// },
// },
// },
// },
// },
// NextLink: to.Ptr("https://microsoft.com/adyccxeh"),
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { ContainerServiceFleetClient } = require("@azure/arm-containerservicefleet");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to lists fleets in the specified subscription and resource group.
*
* @summary lists fleets in the specified subscription and resource group.
* x-ms-original-file: 2025-03-01/Fleets_ListByResourceGroup_MaximumSet_Gen.json
*/
async function listsTheFleetResourcesInAResourceGroupGeneratedByMaximumSetRule() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new ContainerServiceFleetClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.fleets.listByResourceGroup("rgfleets")) {
resArray.push(item);
}
console.log(resArray);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.ContainerServiceFleet.Models;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.ContainerServiceFleet;
// Generated from example definition: specification/containerservice/resource-manager/Microsoft.ContainerService/fleet/stable/2025-03-01/examples/Fleets_ListByResourceGroup_MaximumSet_Gen.json
// this example is just showing the usage of "Fleets_ListByResourceGroup" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this ResourceGroupResource created on azure
// for more information of creating ResourceGroupResource, please refer to the document of ResourceGroupResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "rgfleets";
ResourceIdentifier resourceGroupResourceId = ResourceGroupResource.CreateResourceIdentifier(subscriptionId, resourceGroupName);
ResourceGroupResource resourceGroupResource = client.GetResourceGroupResource(resourceGroupResourceId);
// get the collection of this ContainerServiceFleetResource
ContainerServiceFleetCollection collection = resourceGroupResource.GetContainerServiceFleets();
// invoke the operation and iterate over the result
await foreach (ContainerServiceFleetResource item in collection.GetAllAsync())
{
// the variable item is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
ContainerServiceFleetData resourceData = item.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Respon sampel
{
"value": [
{
"id": "/subscriptions/subid1/resourcegroups/rg1/providers/Microsoft.ContainerService/fleets/fleet1",
"name": "fleet-1",
"type": "Microsoft.ContainerService/fleets",
"systemData": {
"createdBy": "someUser",
"createdByType": "User",
"createdAt": "2022-03-23T05:40:40.657Z",
"lastModifiedBy": "someOtherUser",
"lastModifiedByType": "User",
"lastModifiedAt": "2022-03-23T05:40:40.657Z"
},
"tags": {},
"location": "East US",
"eTag": "23ujdflewrj3=",
"properties": {
"hubProfile": {
"dnsPrefix": "dnsprefix1",
"fqdn": "dnsprefix1-abcd1234.flt.eastus.azmk8s.io",
"portalFqdn": "dnsprefix1-abcd1234.flt.eastus.azmk8s.io",
"kubernetesVersion": "1.22.4",
"agentProfile": {
"vmSize": "Standard_DS1",
"subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.Network/virtualNetwork/myvnet/subnets/mysubnet1"
},
"apiServerAccessProfile": {
"enablePrivateCluster": true,
"enableVnetIntegration": true,
"subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgfleets/providers/Microsoft.Network/virtualNetwork/myvnet/subnets/mysubnet1"
}
},
"provisioningState": "Succeeded"
},
"identity": {
"principalId": "00000000-0000-0000-0000-000000000000",
"tenantId": "00000000-0000-0000-0000-000000000000",
"type": "None",
"userAssignedIdentities": {
"key126": {
"principalId": "00000000-0000-0000-0000-000000000000",
"clientId": "00000000-0000-0000-0000-000000000000"
}
}
}
}
],
"nextLink": "https://microsoft.com/adyccxeh"
}
Definisi
AgentProfile
Objek
Profil agen untuk hub Armada.
| Nama |
Jenis |
Deskripsi |
|
subnetId
|
string
(arm-id)
|
ID subnet yang akan bergabung dengan simpul hub Armada saat startup. Jika ini tidak ditentukan, vnet dan subnet akan dihasilkan dan digunakan.
|
|
vmSize
|
string
|
Ukuran komputer virtual hub Armada.
|
APIServerAccessProfile
Objek
Akses profil untuk server API hub Armada.
| Nama |
Jenis |
Deskripsi |
|
enablePrivateCluster
|
boolean
|
Apakah akan membuat hub Armada sebagai kluster privat atau tidak.
|
|
enableVnetIntegration
|
boolean
|
Apakah akan mengaktifkan integrasi vnet apiserver untuk hub Armada atau tidak.
|
|
subnetId
|
string
(arm-id)
|
Subnet yang akan digunakan saat integrasi vnet apiserver diaktifkan. Ini diperlukan saat membuat Armada baru dengan BYO vnet.
|
createdByType
Enumeration
Jenis identitas yang membuat sumber daya.
| Nilai |
Deskripsi |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
ErrorAdditionalInfo
Objek
Info tambahan kesalahan manajemen sumber daya.
| Nama |
Jenis |
Deskripsi |
|
info
|
object
|
Info tambahan.
|
|
type
|
string
|
Jenis info tambahan.
|
ErrorDetail
Objek
Detail kesalahan.
| Nama |
Jenis |
Deskripsi |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Info tambahan kesalahan.
|
|
code
|
string
|
Kode kesalahan.
|
|
details
|
ErrorDetail[]
|
Detail kesalahan.
|
|
message
|
string
|
Pesan kesalahan.
|
|
target
|
string
|
Target kesalahan.
|
ErrorResponse
Objek
Tanggapan kesalahan
| Nama |
Jenis |
Deskripsi |
|
error
|
ErrorDetail
|
Objek kesalahan.
|
Fleet
Objek
Sumber daya Armada.
| Nama |
Jenis |
Deskripsi |
|
eTag
|
string
|
Jika eTag disediakan dalam isi respons, eTag juga dapat disediakan sebagai header per konvensi etag normal. Tag entitas digunakan untuk membandingkan dua entitas atau lebih dari sumber daya yang diminta yang sama. HTTP/1.1 menggunakan tag entitas di bidang header etag (bagian 14.19), If-Match (bagian 14.24), Jika-None-Match (bagian 14.26), dan If-Range (bagian 14.27).
|
|
id
|
string
(arm-id)
|
ID sumber daya yang sepenuhnya memenuhi syarat untuk sumber daya. Misalnya "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
identity
|
ManagedServiceIdentity
|
Identitas terkelola.
|
|
location
|
string
|
Lokasi geografis tempat sumber daya berada
|
|
name
|
string
|
Nama sumber daya
|
|
properties.hubProfile
|
FleetHubProfile
|
FleetHubProfile mengonfigurasi hub Armada.
|
|
properties.provisioningState
|
FleetProvisioningState
|
Status operasi terakhir.
|
|
properties.status
|
FleetStatus
|
Informasi status untuk armada.
|
|
systemData
|
systemData
|
Metadata Azure Resource Manager yang berisi informasi createBy dan modifiedBy.
|
|
tags
|
object
|
Tag sumber daya.
|
|
type
|
string
|
Jenis sumber daya. Misalnya, "Microsoft.Compute/virtualMachines" atau "Microsoft.Storage/storageAccounts"
|
FleetHubProfile
Objek
FleetHubProfile mengonfigurasi hub armada.
| Nama |
Jenis |
Deskripsi |
|
agentProfile
|
AgentProfile
|
Profil agen untuk hub Armada.
|
|
apiServerAccessProfile
|
APIServerAccessProfile
|
Profil akses untuk server API hub Armada.
|
|
dnsPrefix
|
string
minLength: 1 maxLength: 54 pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][a-zA-Z0-9-]{0,52}[a-zA-Z0-9]$
|
Awalan DNS yang digunakan untuk membuat FQDN untuk hub Armada.
|
|
fqdn
|
string
|
FQDN hub Armada.
|
|
kubernetesVersion
|
string
|
Versi Kubernetes dari hub Armada.
|
|
portalFqdn
|
string
|
FQDN Portal Microsoft Azure dari hub Armada.
|
FleetListResult
Objek
Respons operasi daftar Armada.
| Nama |
Jenis |
Deskripsi |
|
nextLink
|
string
(uri)
|
Tautan ke halaman item berikutnya
|
|
value
|
Fleet[]
|
Item Armada di halaman ini
|
FleetProvisioningState
Enumeration
Status provisi operasi terakhir yang diterima.
| Nilai |
Deskripsi |
|
Succeeded
|
Sumber daya telah dibuat.
|
|
Failed
|
Pembuatan sumber daya gagal.
|
|
Canceled
|
Pembuatan sumber daya dibatalkan.
|
|
Creating
|
Status provisi armada yang sedang dibuat.
|
|
Updating
|
Status provisi armada yang sedang diperbarui.
|
|
Deleting
|
Status provisi armada yang dihapus.
|
FleetStatus
Objek
Informasi status untuk armada.
| Nama |
Jenis |
Deskripsi |
|
lastOperationError
|
ErrorDetail
|
Kesalahan operasi terakhir untuk armada.
|
|
lastOperationId
|
string
|
ID operasi terakhir untuk armada.
|
ManagedServiceIdentity
Objek
Identitas layanan terkelola (identitas yang ditetapkan sistem dan/atau pengguna)
| Nama |
Jenis |
Deskripsi |
|
principalId
|
string
(uuid)
|
ID perwakilan layanan dari identitas yang ditetapkan sistem. Properti ini hanya akan disediakan untuk identitas yang ditetapkan sistem.
|
|
tenantId
|
string
(uuid)
|
ID penyewa dari identitas yang ditetapkan sistem. Properti ini hanya akan disediakan untuk identitas yang ditetapkan sistem.
|
|
type
|
ManagedServiceIdentityType
|
Jenis identitas layanan terkelola (di mana jenis SystemAssigned dan UserAssigned diizinkan).
|
|
userAssignedIdentities
|
<string,
UserAssignedIdentity>
|
Identitas User-Assigned
Kumpulan identitas yang ditetapkan pengguna yang terkait dengan sumber daya. Kunci kamus userAssignedIdentities akan menjadi id sumber daya ARM dalam formulir: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. Nilai kamus dapat berupa objek kosong ({}) dalam permintaan.
|
ManagedServiceIdentityType
Enumeration
Jenis identitas layanan terkelola (di mana jenis SystemAssigned dan UserAssigned diizinkan).
| Nilai |
Deskripsi |
|
None
|
|
|
SystemAssigned
|
|
|
UserAssigned
|
|
|
SystemAssigned, UserAssigned
|
|
systemData
Objek
Metadata yang berkaitan dengan pembuatan dan modifikasi terakhir sumber daya.
| Nama |
Jenis |
Deskripsi |
|
createdAt
|
string
(date-time)
|
Tanda waktu pembuatan sumber daya (UTC).
|
|
createdBy
|
string
|
Identitas yang membuat sumber daya.
|
|
createdByType
|
createdByType
|
Jenis identitas yang membuat sumber daya.
|
|
lastModifiedAt
|
string
(date-time)
|
Tanda waktu modifikasi terakhir sumber daya (UTC)
|
|
lastModifiedBy
|
string
|
Identitas yang terakhir mengubah sumber daya.
|
|
lastModifiedByType
|
createdByType
|
Jenis identitas yang terakhir memodifikasi sumber daya.
|
UserAssignedIdentity
Objek
Properti identitas yang ditetapkan pengguna
| Nama |
Jenis |
Deskripsi |
|
clientId
|
string
(uuid)
|
ID klien dari identitas yang ditetapkan.
|
|
principalId
|
string
(uuid)
|
ID utama identitas yang ditetapkan.
|